#!/bin/sh

CONFIG_DIR=/sys/kernel/config
mount -t configfs none $CONFIG_DIR

cd /sys/kernel/config/usb_gadget
mkdir g1
cd g1

echo "0x200" > bcdUSB
echo "0x100" > bcdDevice
echo "0x1234" > idVendor
echo "0x5678" > idProduct

mkdir configs/c1.1
mkdir functions/mass_storage.0

echo /customer/disk.img > functions/mass_storage.0/lun.0/file

mkdir strings/0x409
cd strings/0x409
echo "0123456789ABCDEF" > serialnumber
echo "sstar" > manufacturer
echo "sstar_mass" > product
cd ../..
mkdir configs/c1.1/strings/0x409
echo "abc" > configs/c1.1/strings/0x409/configuration

ln -s functions/mass_storage.0 configs/c1.1

## ls /sys/class/udc/   ---> soc:Sstar-udc
echo "soc:Mstar-udc" > UDC